org.apache.cassandra.db

## Class RangeTombstone.Serializer

- java.lang.Object
- - org.apache.cassandra.db.RangeTombstone.Serializer

All Implemented Interfaces:
  ISSTableSerializer<RangeTombstone>

Enclosing class:
  RangeTombstone

    public static class RangeTombstone.Serializer
    extends java.lang.Object
    implements ISSTableSerializer<RangeTombstone>

### Constructor Summary

Constructors
Constructor and Description
`Serializer(CType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RangeTombstone` `deserializeBody(java.io.DataInput in, Composite min, Version version)`
`RangeTombstone` `deserializeFromSSTable(java.io.DataInput in, Version version)` Deserialize into the specified DataInputStream instance in the format suited for SSTables.
`long` `serializedSizeForSSTable(RangeTombstone t)`
`void` `serializeForSSTable(RangeTombstone t, DataOutputPlus out)` Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.
`void` `skipBody(java.io.DataInput in, Version version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer(CType type)

### Method Detail

#### serializeForSSTable

    public void serializeForSSTable(RangeTombstone t,
                                    DataOutputPlus out)
                             throws java.io.IOException

Description copied from interface: `ISSTableSerializer`
Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.

Specified by:
  `serializeForSSTable` in interface `ISSTableSerializer<RangeTombstone>`
Parameters:
  `t` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserializeFromSSTable

    public RangeTombstone deserializeFromSSTable(java.io.DataInput in,
                                                 Version version)
                                          throws java.io.IOException

Description copied from interface: `ISSTableSerializer`
Deserialize into the specified DataInputStream instance in the format suited for SSTables.

Specified by:
  `deserializeFromSSTable` in interface `ISSTableSerializer<RangeTombstone>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `version` - the version for the sstable we're reading from
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### deserializeBody

    public RangeTombstone deserializeBody(java.io.DataInput in,
                                          Composite min,
                                          Version version)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### skipBody

    public void skipBody(java.io.DataInput in,
                         Version version)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSizeForSSTable

    public long serializedSizeForSSTable(RangeTombstone t)